Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class ARBProgram

    java.lang.Object
      org.lwjgl.opengl.ARBProgram

Direct Known Subclasses:
  ARBFragmentProgram, ARBVertexProgram

    public class ARBProgram

extends java.lang.Object

Field Summary
`static int` | `GL_CURRENT_MATRIX_ARB`
`static int` | `GL_CURRENT_MATRIX_STACK_DEPTH_ARB`
`static int` | `GL_MATRIX0_ARB` Accepted by the <mode> parameter of MatrixMode:
`static int` | `GL_MATRIX1_ARB`
`static int` | `GL_MATRIX10_ARB`
`static int` | `GL_MATRIX11_ARB`
`static int` | `GL_MATRIX12_ARB`
`static int` | `GL_MATRIX13_ARB`
`static int` | `GL_MATRIX14_ARB`
`static int` | `GL_MATRIX15_ARB`
`static int` | `GL_MATRIX16_ARB`
`static int` | `GL_MATRIX17_ARB`
`static int` | `GL_MATRIX18_ARB`
`static int` | `GL_MATRIX19_ARB`
`static int` | `GL_MATRIX2_ARB`
`static int` | `GL_MATRIX20_ARB`
`static int` | `GL_MATRIX21_ARB`
`static int` | `GL_MATRIX22_ARB`
`static int` | `GL_MATRIX23_ARB`
`static int` | `GL_MATRIX24_ARB`
`static int` | `GL_MATRIX25_ARB`
`static int` | `GL_MATRIX26_ARB`
`static int` | `GL_MATRIX27_ARB`
`static int` | `GL_MATRIX28_ARB`
`static int` | `GL_MATRIX29_ARB`
`static int` | `GL_MATRIX3_ARB`
`static int` | `GL_MATRIX30_ARB`
`static int` | `GL_MATRIX31_ARB`
`static int` | `GL_MATRIX4_ARB`
`static int` | `GL_MATRIX5_ARB`
`static int` | `GL_MATRIX6_ARB`
`static int` | `GL_MATRIX7_ARB`
`static int` | `GL_MATRIX8_ARB`
`static int` | `GL_MATRIX9_ARB`
`static int` | `GL_MAX_PROGRAM_ATTRIBS_ARB`
`static int` | `GL_MAX_PROGRAM_ENV_PARAMETERS_ARB`
`static int` | `GL_MAX_PROGRAM_INSTRUCTIONS_ARB`
`static int` | `GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB`
`static int` | `GL_MAX_PROGRAM_MATRICES_ARB`
`static int` | `GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB`
`static int` | `GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB`
`static int` | `GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB`
`static int` | `GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB`
`static int` | `GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB`
`static int` | `GL_MAX_PROGRAM_PARAMETERS_ARB`
`static int` | `GL_MAX_PROGRAM_TEMPORARIES_ARB`
`static int` | `GL_PROGRAM_ATTRIBS_ARB`
`static int` | `GL_PROGRAM_BINDING_ARB`
`static int` | `GL_PROGRAM_ERROR_POSITION_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_PROGRAM_ERROR_STRING_ARB` Accepted by the <name> parameter of GetString:
`static int` | `GL_PROGRAM_FORMAT_ARB`
`static int` | `GL_PROGRAM_FORMAT_ASCII_ARB` Accepted by the <format> parameter of ProgramStringARB:
`static int` | `GL_PROGRAM_INSTRUCTIONS_ARB`
`static int` | `GL_PROGRAM_LENGTH_ARB` Accepted by the <pname> parameter of GetProgramivARB:
`static int` | `GL_PROGRAM_NATIVE_ATTRIBS_ARB`
`static int` | `GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB`
`static int` | `GL_PROGRAM_NATIVE_PARAMETERS_ARB`
`static int` | `GL_PROGRAM_NATIVE_TEMPORARIES_ARB`
`static int` | `GL_PROGRAM_PARAMETERS_ARB`
`static int` | `GL_PROGRAM_STRING_ARB` Accepted by the <pname> parameter of GetProgramStringARB:
`static int` | `GL_PROGRAM_TEMPORARIES_ARB`
`static int` | `GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB`
`static int` | `GL_TRANSPOSE_CURRENT_MATRIX_ARB`

Constructor Summary
`ARBProgram()`

Method Summary
`static void` | `glBindProgramARB(int target, int program)`
`static void` | `glDeleteProgramsARB(java.nio.IntBuffer programs)`
`static void` | `glGenProgramsARB(java.nio.IntBuffer programs)`
`static void` | `glGetProgramARB(int target, int parameterName, java.nio.IntBuffer params)`
`static void` | `glGetProgramEnvParameterARB(int target, int index, java.nio.DoubleBuffer params)`
`static void` | `glGetProgramEnvParameterARB(int target, int index, java.nio.FloatBuffer params)`
`static void` | `glGetProgramLocalParameterARB(int target, int index, java.nio.DoubleBuffer params)`
`static void` | `glGetProgramLocalParameterARB(int target, int index, java.nio.FloatBuffer params)`
`static void` | `glGetProgramStringARB(int target, int parameterName, java.nio.ByteBuffer paramString)`
`static boolean` | `glIsProgramARB(int program)`
`static void` | `glProgramEnvParameter4ARB(int target, int index, java.nio.DoubleBuffer params)`
`static void` | `glProgramEnvParameter4ARB(int target, int index, java.nio.FloatBuffer params)`
`static void` | `glProgramEnvParameter4dARB(int target, int index, double x, double y, double z, double w)`
`static void` | `glProgramEnvParameter4fARB(int target, int index, float x, float y, float z, float w)`
`static void` | `glProgramLocalParameter4ARB(int target, int index, java.nio.DoubleBuffer params)`
`static void` | `glProgramLocalParameter4ARB(int target, int index, java.nio.FloatBuffer params)`
`static void` | `glProgramLocalParameter4dARB(int target, int index, double x, double y, double z, double w)`
`static void` | `glProgramLocalParameter4fARB(int target, int index, float x, float y, float z, float w)`
`static void` | `glProgramStringARB(int target, int format, java.nio.ByteBuffer string)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_PROGRAM_FORMAT_ASCII_ARB

    public static final int GL_PROGRAM_FORMAT_ASCII_ARB

  Accepted by the <format> parameter of ProgramStringARB:

  See Also:
    Constant Field Values

### GL_PROGRAM_LENGTH_ARB

    public static final int GL_PROGRAM_LENGTH_ARB

  Accepted by the <pname> parameter of GetProgramivARB:

  See Also:
    Constant Field Values

### GL_PROGRAM_FORMAT_ARB

    public static final int GL_PROGRAM_FORMAT_ARB

See Also:
  Constant Field Values

### GL_PROGRAM_BINDING_ARB

    public static final int GL_PROGRAM_BINDING_ARB

See Also:
  Constant Field Values

### GL_PROGRAM_INSTRUCTIONS_ARB

    public static final int GL_PROGRAM_INSTRUCTIONS_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_INSTRUCTIONS_ARB

    public static final int GL_MAX_PROGRAM_INSTRUCTIONS_ARB

See Also:
  Constant Field Values

### GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB

    public static final int GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB

    public static final int GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB

See Also:
  Constant Field Values

### GL_PROGRAM_TEMPORARIES_ARB

    public static final int GL_PROGRAM_TEMPORARIES_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_TEMPORARIES_ARB

    public static final int GL_MAX_PROGRAM_TEMPORARIES_ARB

See Also:
  Constant Field Values

### GL_PROGRAM_NATIVE_TEMPORARIES_ARB

    public static final int GL_PROGRAM_NATIVE_TEMPORARIES_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB

    public static final int GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB

See Also:
  Constant Field Values

### GL_PROGRAM_PARAMETERS_ARB

    public static final int GL_PROGRAM_PARAMETERS_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_PARAMETERS_ARB

    public static final int GL_MAX_PROGRAM_PARAMETERS_ARB

See Also:
  Constant Field Values

### GL_PROGRAM_NATIVE_PARAMETERS_ARB

    public static final int GL_PROGRAM_NATIVE_PARAMETERS_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB

    public static final int GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB

See Also:
  Constant Field Values

### GL_PROGRAM_ATTRIBS_ARB

    public static final int GL_PROGRAM_ATTRIBS_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_ATTRIBS_ARB

    public static final int GL_MAX_PROGRAM_ATTRIBS_ARB

See Also:
  Constant Field Values

### GL_PROGRAM_NATIVE_ATTRIBS_ARB

    public static final int GL_PROGRAM_NATIVE_ATTRIBS_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB

    public static final int GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB

    public static final int GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_ENV_PARAMETERS_ARB

    public static final int GL_MAX_PROGRAM_ENV_PARAMETERS_ARB

See Also:
  Constant Field Values

### GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB

    public static final int GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB

See Also:
  Constant Field Values

### GL_PROGRAM_STRING_ARB

    public static final int GL_PROGRAM_STRING_ARB

  Accepted by the <pname> parameter of GetProgramStringARB:

  See Also:
    Constant Field Values

### GL_PROGRAM_ERROR_POSITION_ARB

    public static final int GL_PROGRAM_ERROR_POSITION_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_CURRENT_MATRIX_ARB

    public static final int GL_CURRENT_MATRIX_ARB

See Also:
  Constant Field Values

### GL_TRANSPOSE_CURRENT_MATRIX_ARB

    public static final int GL_TRANSPOSE_CURRENT_MATRIX_ARB

See Also:
  Constant Field Values

### GL_CURRENT_MATRIX_STACK_DEPTH_ARB

    public static final int GL_CURRENT_MATRIX_STACK_DEPTH_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_MATRICES_ARB

    public static final int GL_MAX_PROGRAM_MATRICES_ARB

See Also:
  Constant Field Values

### GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB

    public static final int GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB

See Also:
  Constant Field Values

### GL_PROGRAM_ERROR_STRING_ARB

    public static final int GL_PROGRAM_ERROR_STRING_ARB

  Accepted by the <name> parameter of GetString:

  See Also:
    Constant Field Values

### GL_MATRIX0_ARB

    public static final int GL_MATRIX0_ARB

  Accepted by the <mode> parameter of MatrixMode:

  See Also:
    Constant Field Values

### GL_MATRIX1_ARB

    public static final int GL_MATRIX1_ARB

See Also:
  Constant Field Values

### GL_MATRIX2_ARB

    public static final int GL_MATRIX2_ARB

See Also:
  Constant Field Values

### GL_MATRIX3_ARB

    public static final int GL_MATRIX3_ARB

See Also:
  Constant Field Values

### GL_MATRIX4_ARB

    public static final int GL_MATRIX4_ARB

See Also:
  Constant Field Values

### GL_MATRIX5_ARB

    public static final int GL_MATRIX5_ARB

See Also:
  Constant Field Values

### GL_MATRIX6_ARB

    public static final int GL_MATRIX6_ARB

See Also:
  Constant Field Values

### GL_MATRIX7_ARB

    public static final int GL_MATRIX7_ARB

See Also:
  Constant Field Values

### GL_MATRIX8_ARB

    public static final int GL_MATRIX8_ARB

See Also:
  Constant Field Values

### GL_MATRIX9_ARB

    public static final int GL_MATRIX9_ARB

See Also:
  Constant Field Values

### GL_MATRIX10_ARB

    public static final int GL_MATRIX10_ARB

See Also:
  Constant Field Values

### GL_MATRIX11_ARB

    public static final int GL_MATRIX11_ARB

See Also:
  Constant Field Values

### GL_MATRIX12_ARB

    public static final int GL_MATRIX12_ARB

See Also:
  Constant Field Values

### GL_MATRIX13_ARB

    public static final int GL_MATRIX13_ARB

See Also:
  Constant Field Values

### GL_MATRIX14_ARB

    public static final int GL_MATRIX14_ARB

See Also:
  Constant Field Values

### GL_MATRIX15_ARB

    public static final int GL_MATRIX15_ARB

See Also:
  Constant Field Values

### GL_MATRIX16_ARB

    public static final int GL_MATRIX16_ARB

See Also:
  Constant Field Values

### GL_MATRIX17_ARB

    public static final int GL_MATRIX17_ARB

See Also:
  Constant Field Values

### GL_MATRIX18_ARB

    public static final int GL_MATRIX18_ARB

See Also:
  Constant Field Values

### GL_MATRIX19_ARB

    public static final int GL_MATRIX19_ARB

See Also:
  Constant Field Values

### GL_MATRIX20_ARB

    public static final int GL_MATRIX20_ARB

See Also:
  Constant Field Values

### GL_MATRIX21_ARB

    public static final int GL_MATRIX21_ARB

See Also:
  Constant Field Values

### GL_MATRIX22_ARB

    public static final int GL_MATRIX22_ARB

See Also:
  Constant Field Values

### GL_MATRIX23_ARB

    public static final int GL_MATRIX23_ARB

See Also:
  Constant Field Values

### GL_MATRIX24_ARB

    public static final int GL_MATRIX24_ARB

See Also:
  Constant Field Values

### GL_MATRIX25_ARB

    public static final int GL_MATRIX25_ARB

See Also:
  Constant Field Values

### GL_MATRIX26_ARB

    public static final int GL_MATRIX26_ARB

See Also:
  Constant Field Values

### GL_MATRIX27_ARB

    public static final int GL_MATRIX27_ARB

See Also:
  Constant Field Values

### GL_MATRIX28_ARB

    public static final int GL_MATRIX28_ARB

See Also:
  Constant Field Values

### GL_MATRIX29_ARB

    public static final int GL_MATRIX29_ARB

See Also:
  Constant Field Values

### GL_MATRIX30_ARB

    public static final int GL_MATRIX30_ARB

See Also:
  Constant Field Values

### GL_MATRIX31_ARB

    public static final int GL_MATRIX31_ARB

See Also:
  Constant Field Values

Constructor Detail

### ARBProgram

    public ARBProgram()

Method Detail

### glProgramStringARB

    public static void glProgramStringARB(int target,
                                          int format,
                                          java.nio.ByteBuffer string)

### glBindProgramARB

    public static void glBindProgramARB(int target,
                                        int program)

### glDeleteProgramsARB

    public static void glDeleteProgramsARB(java.nio.IntBuffer programs)

### glGenProgramsARB

    public static void glGenProgramsARB(java.nio.IntBuffer programs)

### glProgramEnvParameter4fARB

    public static void glProgramEnvParameter4fARB(int target,
                                                  int index,
                                                  float x,
                                                  float y,
                                                  float z,
                                                  float w)

### glProgramEnvParameter4dARB

    public static void glProgramEnvParameter4dARB(int target,
                                                  int index,
                                                  double x,
                                                  double y,
                                                  double z,
                                                  double w)

### glProgramEnvParameter4ARB

    public static void glProgramEnvParameter4ARB(int target,
                                                 int index,
                                                 java.nio.FloatBuffer params)

### glProgramEnvParameter4ARB

    public static void glProgramEnvParameter4ARB(int target,
                                                 int index,
                                                 java.nio.DoubleBuffer params)

### glProgramLocalParameter4fARB

    public static void glProgramLocalParameter4fARB(int target,
                                                    int index,
                                                    float x,
                                                    float y,
                                                    float z,
                                                    float w)

### glProgramLocalParameter4dARB

    public static void glProgramLocalParameter4dARB(int target,
                                                    int index,
                                                    double x,
                                                    double y,
                                                    double z,
                                                    double w)

### glProgramLocalParameter4ARB

    public static void glProgramLocalParameter4ARB(int target,
                                                   int index,
                                                   java.nio.FloatBuffer params)

### glProgramLocalParameter4ARB

    public static void glProgramLocalParameter4ARB(int target,
                                                   int index,
                                                   java.nio.DoubleBuffer params)

### glGetProgramEnvParameterARB

    public static void glGetProgramEnvParameterARB(int target,
                                                   int index,
                                                   java.nio.FloatBuffer params)

### glGetProgramEnvParameterARB

    public static void glGetProgramEnvParameterARB(int target,
                                                   int index,
                                                   java.nio.DoubleBuffer params)

### glGetProgramLocalParameterARB

    public static void glGetProgramLocalParameterARB(int target,
                                                     int index,
                                                     java.nio.FloatBuffer params)

### glGetProgramLocalParameterARB

    public static void glGetProgramLocalParameterARB(int target,
                                                     int index,
                                                     java.nio.DoubleBuffer params)

### glGetProgramARB

    public static void glGetProgramARB(int target,
                                       int parameterName,
                                       java.nio.IntBuffer params)

### glGetProgramStringARB

    public static void glGetProgramStringARB(int target,
                                             int parameterName,
                                             java.nio.ByteBuffer paramString)

### glIsProgramARB

    public static boolean glIsProgramARB(int program)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.